weka.core.pmml

## Class DerivedFieldMetaInfo

- java.lang.Object
- - weka.core.pmml.FieldMetaInfo
  - - weka.core.pmml.DerivedFieldMetaInfo

- All Implemented Interfaces:
    java.io.Serializable

      public class DerivedFieldMetaInfo
      extends FieldMetaInfo
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class weka.core.pmml.FieldMetaInfo

      `FieldMetaInfo.Interval, FieldMetaInfo.Optype, FieldMetaInfo.Value`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DerivedFieldMetaInfo(org.w3c.dom.Element derivedField, java.util.ArrayList<Attribute> fieldDefs, weka.core.pmml.TransformationDictionary transDict)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `double` | `getDerivedValue(double[] incoming)` Get the derived field value for the given incoming vector of values.
    `Attribute` | `getFieldAsAttribute()` Get this derived field as an Attribute.
    `void` | `setFieldDefs(java.util.ArrayList<Attribute> fieldDefs)` Upadate the field definitions for this derived field
    `void` | `setFieldDefs(Instances fields)` Upadate the field definitions for this derived field
    `java.lang.String` | `toString()`

    - ### Methods inherited from class weka.core.pmml.FieldMetaInfo

      `getFieldName, getOptype`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DerivedFieldMetaInfo

          public DerivedFieldMetaInfo(org.w3c.dom.Element derivedField,
                                      java.util.ArrayList<Attribute> fieldDefs,
                                      weka.core.pmml.TransformationDictionary transDict)
                               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### setFieldDefs

          public void setFieldDefs(java.util.ArrayList<Attribute> fieldDefs)
                            throws java.lang.Exception

      Upadate the field definitions for this derived field
      Parameters:
        `fieldDefs` - the fields as an ArrayList of Attributes
      Throws:
        `java.lang.Exception` - if there is a problem setting the field definitions

    - #### setFieldDefs

          public void setFieldDefs(Instances fields)
                            throws java.lang.Exception

      Upadate the field definitions for this derived field
      Parameters:
        `fields` - the fields as an Instances object
      Throws:
        `java.lang.Exception` - if there is a problem setting the field definitions

    - #### getFieldAsAttribute

          public Attribute getFieldAsAttribute()

      Get this derived field as an Attribute.
      Specified by:
        `getFieldAsAttribute` in class `FieldMetaInfo`
      Returns:
        an Attribute for this derived field.

    - #### getDerivedValue

          public double getDerivedValue(double[] incoming)
                                 throws java.lang.Exception

      Get the derived field value for the given incoming vector of values. Incoming values are assumed to be in the same order as the attributes supplied in the field definitions ArrayList used to construct this DerivedField. If the optype of this derived field is continuous, then a real number is returned. Otherwise, the number returned is the index of the categorical/ordinal value corresponding to result of computing the derived field value.
      Parameters:
        `incoming` - the incoming parameter values
      Returns:
        the result of computing the derived value
      Throws:
        `java.lang.Exception` - if there is a problem computing the value

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`